Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IActionDelegateWithEvent

Deprecated. Use org.eclipse.ui.IActionDelegate2 instead.

public interface IActionDelegateWithEvent

This interface is a mixin interface for action delegates, adding the ability to examine the triggering SWT event when it is run. If an action delegate implements this interface, then `runWithEvent(IAction, Event)` is called instead of `run(IAction)`.

Clients should implement this interface, in addition to `IActionDelegate` (or subinterface), if they need to examine the triggering event. Otherwise, they should simply implement `IActionDelegate` (or subinterface).

NOTE: This is experimental API, which may change in the future.

Since:
  2.0

Method Summary
`void` | `runWithEvent(IAction action, Event event)` Deprecated. Use org.eclipse.ui.IActionDelegate2 instead.

Method Detail

### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

  Deprecated. Use org.eclipse.ui.IActionDelegate2 instead.

  Performs this action, passing the SWT event which triggered it.

  This method is called when the delegating action has been triggered. Implement this method to do the actual work. If an action delegate implements this interface, this method is called instead of `run(IAction)`.

  NOTE: This is experimental API, which may change in the future.

  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
    `event` - the SWT event which triggered this action being run
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.